#include <Wire.h>
#define BME280_addr 0x76

void BME280_Init()
{
   // write to CTRL_MEAS reg: osr_t=x1, osr_p=x1, normal mode
   Wire.beginTransmission(BME280_addr);
   Wire.write(0xF4); // write to address 0xF4
   Wire.write(0x27); // write data 0x27
   Wire.endTransmission();
}


void setup() {
   Serial.begin(115200);
   Wire.begin();
}

void loop() {
  char regValue;
  
   BME280_Init();
   delay(3000);
   
   Wire.beginTransmission(BME280_addr);
   Wire.write(0xF4);
   Wire.endTransmission();
   Wire.requestFrom(BME280_addr, 1);
   regValue = Wire.read(); // read from 0xF4

   Serial.print(regValue);
   delay(1000);
   
}
