#include <Wire.h>
#define BME280_addr 0x76

// BME280 T coeffs
unsigned char dig_T[6];
unsigned short dig_T1;
signed short dig_T2, dig_T3;

void BME280_ReadTcoeffs()
{
 int i=0;
   Wire.beginTransmission(BME280_addr);
   Wire.write(0x88);
   Wire.endTransmission();
   Wire.requestFrom(BME280_addr, 6);
   while(Wire.available()) {
    dig_T [i++] = Wire.read();
   }
   dig_T1 = dig_T[1]<<8 | dig_T[0];
   dig_T2 = dig_T[3]<<8 | dig_T[2];
   dig_T3 = dig_T[5]<<8 | dig_T[4];
   //* // debug
   Serial.println();
   Serial.print(F("dig_T1 = 0x"));
   Serial.println(dig_T1,HEX);
   Serial.print(F("dig_T2 = 0x"));
   Serial.println(dig_T2,HEX);
   Serial.print(F("dig_T3 = "));
   Serial.println(dig_T3,HEX);
   //*/
}

void setup() {
   Serial.begin(115200);
   Wire.begin();
}

void loop() {
   BME280_ReadTcoeffs();
   delay(1000); 
}
